org.wso2.carbon.logging.admin.stub

## Class LoggingAdminStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.logging.admin.stub.LoggingAdminStub

- All Implemented Interfaces:
    LoggingAdmin

      public class LoggingAdminStub
      extends org.apache.axis2.client.Stub
      implements LoggingAdmin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations`

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingAdminStub()` Default Constructor
    `LoggingAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext)` Default Constructor
    `LoggingAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` Constructor that takes in a configContext
    `LoggingAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` Constructor that takes in a configContext and useseperate listner
    `LoggingAdminStub(String targetEndpoint)` Constructor taking the target endpoint

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoggerData[]` | `getAllLoggerData(String logNameFilter62, boolean beginsWith63)` Auto generated method signature
    `AppenderData` | `getAppenderData(String appenderName91)` Auto generated method signature
    `LoggerData` | `getLoggerData(String loggerName103)` Auto generated method signature
    `SyslogData` | `getSyslogData()` Auto generated method signature
    `LogData` | `getSystemLog()` Auto generated method signature
    `boolean` | `isStratosService()` Auto generated method signature
    `String` | `removeSyslogPattern(String appenderPattern76)` Auto generated method signature
    `void` | `restoreDefaults()` Auto generated method signature
    `void` | `startgetAllLoggerData(String logNameFilter62, boolean beginsWith63, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAppenderData(String appenderName91, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetLoggerData(String loggerName103, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSyslogData(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSystemLog(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startisStratosService(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startremoveSyslogPattern(String appenderPattern76, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateAllAppenderData(String appenderName95, String appenderPattern96, String threshold97, String logFileName98, String sysLogHost99, String facility100, boolean persist101)` Auto generated method signature
    `void` | `updateLoggerData(String loggerName107, String loggerLevel108, boolean additivity109, boolean persist110)` Auto generated method signature
    `void` | `updateSyslogConfig(String url70, String port71, String realm72, String userName73, String password74)` Auto generated method signature
    `void` | `updateSystemLog(String logLevel83, String logPattern84, boolean persist85)` Auto generated method signature

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### LoggingAdminStub

          public LoggingAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                          String targetEndpoint)
                           throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### LoggingAdminStub

          public LoggingAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                          String targetEndpoint,
                          boolean useSeparateListener)
                           throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### LoggingAdminStub

          public LoggingAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext)
                           throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### LoggingAdminStub

          public LoggingAdminStub()
                           throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### LoggingAdminStub

          public LoggingAdminStub(String targetEndpoint)
                           throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### getAllLoggerData

          public LoggerData[] getAllLoggerData(String logNameFilter62,
                                      boolean beginsWith63)
                                        throws RemoteException

      Auto generated method signature
      Specified by:
        `getAllLoggerData` in interface `LoggingAdmin`
      Parameters:
        `getAllLoggerData61` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.getAllLoggerData(java.lang.String, boolean)`

    - #### startgetAllLoggerData

          public void startgetAllLoggerData(String logNameFilter62,
                                   boolean beginsWith63,
                                   LoggingAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAllLoggerData` in interface `LoggingAdmin`
      Parameters:
        `getAllLoggerData61` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startgetAllLoggerData(java.lang.String, boolean, org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### isStratosService

          public boolean isStratosService()
                                   throws RemoteException,
                                          LoggingAdminException

      Auto generated method signature
      Specified by:
        `isStratosService` in interface `LoggingAdmin`
      Parameters:
        `isStratosService66` -
      Throws:
        `LoggingAdminException` - :
        `RemoteException`
      See Also:
        `LoggingAdmin.isStratosService()`

    - #### startisStratosService

          public void startisStratosService(LoggingAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startisStratosService` in interface `LoggingAdmin`
      Parameters:
        `isStratosService66` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startisStratosService(org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### updateSyslogConfig

          public void updateSyslogConfig(String url70,
                                String port71,
                                String realm72,
                                String userName73,
                                String password74)
                                  throws RemoteException,
                                         LoggingAdminLoggingAdminException

      Auto generated method signature
      Specified by:
        `updateSyslogConfig` in interface `LoggingAdmin`
      Throws:
        `LoggingAdminLoggingAdminException` - :
        `RemoteException`

    - #### removeSyslogPattern

          public String removeSyslogPattern(String appenderPattern76)
                                     throws RemoteException

      Auto generated method signature
      Specified by:
        `removeSyslogPattern` in interface `LoggingAdmin`
      Parameters:
        `removeSyslogPattern75` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.removeSyslogPattern(java.lang.String)`

    - #### startremoveSyslogPattern

          public void startremoveSyslogPattern(String appenderPattern76,
                                      LoggingAdminCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startremoveSyslogPattern` in interface `LoggingAdmin`
      Parameters:
        `removeSyslogPattern75` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startremoveSyslogPattern(java.lang.String, org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### getSyslogData

          public SyslogData getSyslogData()
                                   throws RemoteException,
                                          LoggingAdminLoggingAdminException

      Auto generated method signature
      Specified by:
        `getSyslogData` in interface `LoggingAdmin`
      Parameters:
        `getSyslogData79` -
      Throws:
        `LoggingAdminLoggingAdminException` - :
        `RemoteException`
      See Also:
        `LoggingAdmin.getSyslogData()`

    - #### startgetSyslogData

          public void startgetSyslogData(LoggingAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetSyslogData` in interface `LoggingAdmin`
      Parameters:
        `getSyslogData79` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startgetSyslogData(org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### updateSystemLog

          public void updateSystemLog(String logLevel83,
                             String logPattern84,
                             boolean persist85)
                               throws RemoteException,
                                      LoggingAdminException

      Auto generated method signature
      Specified by:
        `updateSystemLog` in interface `LoggingAdmin`
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### restoreDefaults

          public void restoreDefaults()
                               throws RemoteException,
                                      LoggingAdminException

      Auto generated method signature
      Specified by:
        `restoreDefaults` in interface `LoggingAdmin`
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### getSystemLog

          public LogData getSystemLog()
                               throws RemoteException,
                                      LoggingAdminException

      Auto generated method signature
      Specified by:
        `getSystemLog` in interface `LoggingAdmin`
      Parameters:
        `getSystemLog87` -
      Throws:
        `LoggingAdminException` - :
        `RemoteException`
      See Also:
        `LoggingAdmin.getSystemLog()`

    - #### startgetSystemLog

          public void startgetSystemLog(LoggingAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetSystemLog` in interface `LoggingAdmin`
      Parameters:
        `getSystemLog87` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startgetSystemLog(org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### getAppenderData

          public AppenderData getAppenderData(String appenderName91)
                                       throws RemoteException

      Auto generated method signature
      Specified by:
        `getAppenderData` in interface `LoggingAdmin`
      Parameters:
        `getAppenderData90` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.getAppenderData(java.lang.String)`

    - #### startgetAppenderData

          public void startgetAppenderData(String appenderName91,
                                  LoggingAdminCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAppenderData` in interface `LoggingAdmin`
      Parameters:
        `getAppenderData90` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startgetAppenderData(java.lang.String, org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### updateAllAppenderData

          public void updateAllAppenderData(String appenderName95,
                                   String appenderPattern96,
                                   String threshold97,
                                   String logFileName98,
                                   String sysLogHost99,
                                   String facility100,
                                   boolean persist101)
                                     throws RemoteException,
                                            LoggingAdminException

      Auto generated method signature
      Specified by:
        `updateAllAppenderData` in interface `LoggingAdmin`
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### getLoggerData

          public LoggerData getLoggerData(String loggerName103)
                                   throws RemoteException

      Auto generated method signature
      Specified by:
        `getLoggerData` in interface `LoggingAdmin`
      Parameters:
        `getLoggerData102` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.getLoggerData(java.lang.String)`

    - #### startgetLoggerData

          public void startgetLoggerData(String loggerName103,
                                LoggingAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetLoggerData` in interface `LoggingAdmin`
      Parameters:
        `getLoggerData102` -
      Throws:
        `RemoteException`
      See Also:
        `LoggingAdmin.startgetLoggerData(java.lang.String, org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler)`

    - #### updateLoggerData

          public void updateLoggerData(String loggerName107,
                              String loggerLevel108,
                              boolean additivity109,
                              boolean persist110)
                                throws RemoteException,
                                       LoggingAdminException

      Auto generated method signature
      Specified by:
        `updateLoggerData` in interface `LoggingAdmin`
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

Copyright © 2017 WSO2. All rights reserved.